#ifndef HAPTICORE_CONVERSION_FACTORS
#define HAPTICORE_CONVERSION_FACTORS

namespace HapticoreLibrary
{
	static const unsigned short int FACTOR_ANGLE                          = 10;
	static const unsigned short int FACTOR_CURRENT                        = 1000;
	static const unsigned short int FACTOR_DURATION                       = 1000;
	static const unsigned short int FACTOR_VELOCITY_FACTOR                = 1000;
	static const unsigned short int FACTOR_WINDOW                         = 10;
	static const unsigned short int FACTOR_STICKINESS                     = 100;
	static const unsigned short int FACTOR_VELOCITY_THRESHOLD             = 10;
	static const unsigned short int FACTOR_RAMP_DOWN                      = 100;
	static const unsigned short int FACTOR_PERCENT                        = 100;
	static const unsigned short int FACTOR_HYSTERESIS                     = 100;
	static const unsigned short int FACTOR_RAMP_DOWN_SLOPE                = 10;
	static const unsigned short int FACTOR_OVERWIND                       = 100;
	static const unsigned short int FACTOR_TORQUE                         = 10000;
	static const unsigned short int FACTOR_ENCODER_ANGLE_READ             = 100;
	static const unsigned short int FACTOR_ENCODER_VELOCITY               = 1;
	static const unsigned short int FACTOR_PUSH_PULL_VALUE                = 10000;
	static const unsigned short int FACTOR_TEMPERATURE                    = 100;
	static const unsigned short int FACTOR_RESISTANCE                     = 100;
	static const unsigned short int FACTOR_TIME_TRIGGERED_ANGLE_INCREMENT = 10;
	static const unsigned short int FACTOR_Q_ANGLE                        = 10000;
	static const unsigned short int FACTOR_Q_VELOCITY                     = 10000;
	static const unsigned short int FACTOR_R_ANGLE                        = 10;
	static const unsigned short int FACTOR_R_VELOCITY                     = 10;
	static const unsigned short int FACTOR_ENCODER_ANGLE_RESOLUTION       = 100;
	static const unsigned short int FACTOR_TIMEOUT                        = 1000;
	static const unsigned short int FACTOR_KP                             = 100;
	static const unsigned short int FACTOR_KI                             = 1;
	static const unsigned short int FACTOR_INDUCTANCE                     = 10000;
	static const unsigned short int FACTOR_POWER                          = 100;
	static const unsigned short int FACTOR_VOLTAGE                        = 1000;
	static const unsigned short int FACTOR_TRANSMISSION_RATIO             = 1000;
	static const unsigned short int FACTOR_SCALING                        = 100;
}

#endif
